<?php

require_once __DIR__."/../vendor/autoload.php";

use TinyData\DataStore;
use TinyData\Schema\TableSchema;

// Create a new datastore
$ds = new DataStore();

// Define and map the schema
$ds->fruit = new TableSchema("fruit", 1, [
    "!name",    // prepending ! creates a unique index
    "color",    // leaving out the definition defaults to TEXT
    "weight" => "FLOAT"
]);

// Insert a fruit
$ds->fruit->insert([
    'name' => "apple",
    'color' => "green",
    'weight' => 3.14,
]);

