<?php

require_once __DIR__."/../vendor/autoload.php";

use TinyData\DataStore;
use TinyData\Schema\KeyValueSchema;

// Create a new datastore
$ds = new DataStore();

// Define and map the schema. We can do this in one go since the KeyValueSchema
// doesn't require any additional configuration.
$ds->config = new KeyValueSchema("config");

$ds->config->set("foo", "This is a value");
$ds->config->set("bar", "Another value");
$ds->config->set("baz", new DateTime());

print_r($ds->config->getAll());

