<?php

require_once __DIR__."/../../vendor/autoload.php";

use TinyData\DataStore;
use TinyData\Schema\TableSchema;

$ds = new DataStore(__DIR__."/app.db");

// version 1 of the table 'users'
$usertable = new TableSchema("users", 1);
// add 2 fields
$usertable->setColumn("username", "text");
$usertable->setColumn("email", "text");
// make sure the database is up to date
$ds->map($usertable);


