<?php

require_once __DIR__."/../../vendor/autoload.php";

use TinyData\DataStore;
use TinyData\Schema\TableSchema;

$ds = new DataStore(__DIR__."/app.db");

// version 2 of the table 'users'
$usertable2 = new TableSchema("users", 2);
// add 2 fields
$usertable2->setColumn("username", "text");
$usertable2->setColumn("email", "text");
$usertable2->setColumn("active", "int");
// make sure the database is up to date
$ds->map($usertable2);



